## ros-indigo-nao-gazebo-plugin 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_gazebo_plugin)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch worlds
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-nao-gazebo-plugin (0.0.6-0trusty) trusty; urgency=high

  * adding back missing dependencies to README
  * update maintainers
  * [nao_gazebo_plugin/README.rst] clone using https
  * Update README.rst
  * Update README.rst
  * updating links in README
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Surya Ambrose <surya.ambrose@gmail.com>  Mon, 30 Jan 2017 23:00:00 -0000

ros-indigo-nao-gazebo-plugin (0.0.5-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Tue, 20 Oct 2015 22:00:00 -0000

ros-indigo-nao-gazebo-plugin (0.0.4-0trusty) trusty; urgency=high

  * update repos links
    added run dependencies (not generating warnings)
  * Renamed launch files according to nao_description renames..
  * remove dependenciesas they generate warnings
    If they are really needed, proper packages should be added one by one
  * Contributors: Konstantinos Chatzilygeroudis, Mikael Arguedas, Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 25 Mar 2015 23:00:00 -0000

ros-indigo-nao-gazebo-plugin (0.0.3-0trusty) trusty; urgency=high

  * remove dependencies that are not pacakges
  * Added a rosinstall file with some instructions of the current status
  * Added a launcher that launches empty world (and not the football field which is failing to download now)
  * update dependencies
  * Contributors: Sam Pfeiffer, Vincent Rabaud, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 03 Dec 2014 23:00:00 -0000

ros-indigo-nao-gazebo-plugin (0.0.2-0trusty) trusty; urgency=high

  * add missing runtime dependencies
  * fix typos
  * fix bad code block display
  * Update README.rst
  * bug fix on images path
  * add images to readme
  * update README
  * new world + README file
  * update dependency list
  * new world file for real time testing
  * Contributors: Arguedas Mikael, Vincent Rabaud, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-indigo-nao-gazebo-plugin (0.0.1-0trusty) trusty; urgency=high

  * cleanups
  * new PID values
  * putting back nao_dcm namespace in config files
  * nao_control and nao_gazebo to simulate nao
  * Contributors: Vincent Rabaud, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sat, 27 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-gazebo-plugin
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-gazebo-ros, ros-indigo-nao-description
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-nao-gazebo-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-nao-control, ros-indigo-nao-description, ros-indigo-ros-control, ros-indigo-ros-controllers
Description: The nao_gazebo_plugin package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-gazebo-plugin//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
